@import '../../base/sass/functions';

@import 'variables';

@import "../../base/bootstrap/scss/functions";
@import "../../base/bootstrap/scss/variables";
@import "../../base/bootstrap/scss/mixins";
@import "../../base/bootstrap/scss/root";
@import "../../base/bootstrap/scss/reboot";
//@import "../../base/bootstrap/scss/type";
@import "../../base/bootstrap/scss/images";
@import "../../base/bootstrap/scss/code";
@import "../../base/bootstrap/scss/grid";
@import "../../base/bootstrap/scss/nav";
@import "../../base/bootstrap/scss/navbar";
@import "../../base/sass/mixins";

.fa, .fas, .far, .fal {
  display: inline-block;
}

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
  margin-bottom: $headings-margin-bottom;
  font-family: $headings-font-family;
  font-weight: $headings-font-weight;
  line-height: $headings-line-height;
  color: $headings-color;
}

h1, .h1 { @include font-size($h1-font-size); }
h2, .h2 { @include font-size($h2-font-size); }
h3, .h3 { @include font-size($h3-font-size); }
h4, .h4 { @include font-size($h4-font-size); }
h5, .h5 { @include font-size($h5-font-size); }
h6, .h6 { @include font-size($h6-font-size); }

.label-slide {
  .form-group:not(.exclude-from-label-slide):not(.checkbox) {
    label {
      display: none;
    }
  }
}

.modal {
  display: none;
}

.carousel-thumbnails .slick-arrow {
  /* to hide during load*/
  opacity: 0;
}

.consent-modal:not(.active) {
  display: none;
}

.consent-banner-icon {
  width: 1em;
  height: 1em;
}

.mini>#consent-banner {
  display: none;
}

html {
  overflow-y: scroll;
}

.dropdown-menu {
  display: none;
}

.dropdown-toggle {
  &::after {
    content: '';
    margin-left: .5rem;
    display: inline-block;
  }
}

.input-group {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  width: 100%;
  > .form-control {
    flex: 1 1 auto;
    width: 1%;
  }
}

#main-wrapper, #header-top-bar, header {
  background: $white;
}

.container-fluid-xl { max-width: rem(1650px); }

/* nav */
.nav-dividers {
  .nav-item { position: relative;
    &:not(:last-child)::after { content: ''; position: absolute; right: 0; top: $nav-link-padding-y; height: calc(100% - #{2 * $nav-link-padding-y}); border-right: rem(1px) solid currentColor; }
  }
}

.nav-link {
  text-decoration: none;
}

.nav-scrollbar { overflow: hidden; display: flex; align-items: center;
  .nav, .navbar-nav { flex-wrap: nowrap; }
  .nav-item { white-space: nowrap; }
}

.nav-scrollbar-inner { overflow-x: auto; padding-bottom: map-get($spacers, 4); /*margin-bottom: -(map-get($spacers, 4));*/ align-self: flex-start; }

#shop-nav {
  align-items: center;
  flex-shrink: 0;
  margin-left: auto;
  .nav-link {
    @include media-breakpoint-down(sm) {
      padding-left:	map_get($spacers, 3) * 0.75;
      padding-right: map_get($spacers, 3) * 0.75
    }
  }
}
/* nav end */

/* bootstrap */
.breadcrumb {
  display: flex;
  flex-wrap: wrap;
  padding: $breadcrumb-padding-y $breadcrumb-padding-x;
  margin-bottom: $breadcrumb-margin-bottom;
  list-style: none;
  background-color: $breadcrumb-bg;
  @include border-radius($breadcrumb-border-radius);
}

.breadcrumb-item {
  + .breadcrumb-item {
    padding-left: $breadcrumb-item-padding;

    &::before {
      display: inline-block;
      padding-right: $breadcrumb-item-padding;
      color: $breadcrumb-divider-color;
      content: $breadcrumb-divider;
    }
  }

  &.active {
    color: $breadcrumb-active-color;
    font-weight: $font-weight-bold;
  }
  &.first { &::before {display: none;} }
}

.breadcrumb-wrapper {
  margin-bottom: map-get($spacers, 5);
  @include media-breakpoint-up(lg) { border-style: solid; border-color: $gray-medium; border-width: $border-width 0;}
}

.breadcrumb { @include font-size($font-size-base * (13 / $font-size-base));
  a { text-decoration: none; }
}

.breadcrumb-back { padding-right: map-get($spacers, 3); margin-right: map-get($spacers, 3); border-right: $border-width solid $gray-medium; }

/* end breadcrumb */

#header-top-bar {
  position: relative;
  background-color: $white;
  z-index: ($zindex-sticky + 1);
  flex-direction: row-reverse;
}

#header-top-bar, header {
  background-color: $header-bg-color;
  color: $header-color;
  a {
    text-decoration: none;
    color: $header-color;
    &:hover:not(.dropdown-item):not(.btn) {
      color: $primary;
    }
  }
}

header { box-shadow: 0 rem(16px) rem(9px) rem(-12px) transparentize($black, .94); position: relative; z-index: $zindex-sticky;

  .form-control, .form-control:focus  {
    background-color: $header-bg-color;
    color: $header-color;
  }

  .navbar {
    padding: 0;
    position: static;
  }

  @include media-breakpoint-up(lg) {
    padding-bottom: 0;
    .navbar-brand {
      margin-right: map-get($spacers, 6);
    }
  }

  .navbar-brand {
    padding-top: $navbar-padding-y;
    padding-bottom: $navbar-padding-y;
    img {
      height: $navbar-image-height;
      width: auto;
    }
  }

  .navbar-toggler { color: $gray-darker; }

  .nav-right {
    .dropdown-menu {
      margin-top: rem(-.5px);
      @include box-shadow(inset 0 rem(16px) rem(9px) rem(-12px) transparentize($black, .94));
    }
  }

  @include media-breakpoint-up(lg) {
    .navbar-brand {
      padding-top: $navbar-padding-y-lg;
      padding-bottom: $navbar-padding-y-lg;
      img {
        height: $navbar-image-height-lg;
      }
    }

    .navbar-collapse { height: rem(69px); }

    .navbar-nav {
      > .nav-item {
        > .nav-link { position: relative; padding: map-get($spacers, 4);
          &::before { content: ''; position: absolute; bottom: 0; left: 50%; transform: translateX(-50%); border-width: 0 0 $nav-tabs-border-width * 6; border-color: $nav-tabs-link-active-border-color; border-style: solid; transition: width .4s; width: 0; }
        }

        &.active > .nav-link, &:hover > .nav-link, &.hover > .nav-link {
          &::before { width: 100%; }
        }

        .nav { flex-wrap: wrap; }
      }

      .nav {
        .nav-link { padding: 0;
          &::after { display: none; }
        }
      }

      .dropdown .nav-item { width: 100%; }
    }

    .nav-mobile-body { align-self: flex-start; width: 100%; }

    .nav-scrollbar-inner { width: 100%; }

    .nav-right {
      .nav-link { padding-top: map-get($spacers, 4); padding-bottom: map-get($spacers, 4); }
    }
  }
}
/* bootstrap */
.btn {
  display: inline-block;
  font-family: $btn-font-family;
  font-weight: $btn-font-weight;
  color: $body-color;
  text-align: center;
  vertical-align: middle;
  user-select: none;
  background-color: transparent;
  border: $btn-border-width solid transparent;
  @include button-size($btn-padding-y, $btn-padding-x, $btn-font-size, $btn-line-height, $btn-border-radius);

  &.disabled,
  &:disabled {
    opacity: $btn-disabled-opacity;
    @include box-shadow(none);
  }

  &:not(:disabled):not(.disabled):active,
  &:not(:disabled):not(.disabled).active {
    @include box-shadow($btn-active-box-shadow);

    &:focus {
      @include box-shadow($btn-focus-box-shadow, $btn-active-box-shadow);
    }
  }
}

.form-control {
  display: block;
  width: 100%;
  height: $input-height;
  padding: $input-padding-y $input-padding-x;
  font-family: $input-font-family;
  @include font-size($input-font-size);
  font-weight: $input-font-weight;
  line-height: $input-line-height;
  color: $input-color;
  background-color: $input-bg;
  background-clip: padding-box;
  border: $input-border-width solid $input-border-color;

  @include border-radius($input-border-radius, 0);

  @include box-shadow($input-box-shadow);
  @include transition($input-transition);
}

.square {
  display: flex;
  position: relative;
  &::before {
    content: '';
    display: inline-block;
    padding-bottom: 100%;
  }
}

/* spacing end */

.flex-row-reverse {
  flex-direction: row-reverse !important;
}

.flex-column {
  flex-direction: column !important;
}

.justify-content-start {
  justify-content: flex-start !important;
}

.collapse:not(.show) {
  display: none;
}

.d-none {
  display: none !important;
}
.d-block {
  display: block !important;
}
.d-flex {
  display: flex !important;
}
.d-inline-block{
  display: inline-block !important;
}

@media (min-width: 992px) {
  .d-lg-none {
    display: none !important;
  }
  .d-lg-block {
    display: block !important;
  }
  .d-lg-flex {
    display: flex !important;
  }
}
@media (min-width: 768px) {
  .d-md-none {
    display: none !important;
  }
  .d-md-block {
    display: block !important;
  }
  .d-md-flex {
    display: flex !important;
  }
  .d-md-inline-block {
    display: inline-block !important;;
  }
}

/* bootstrap end */

.form-group {
  margin-bottom: 1rem;
}

.btn-secondary {
  background-color: $secondary;
  color: $gray-lighter;
}
.btn-outline-secondary {
  color: $secondary;
  border-color: $secondary;
}
.btn-group {
  display: inline-flex;
}

.productlist-filter-headline {
  border-bottom: $border-width solid $border-color;
  padding-bottom: map-get($spacers, 2);
  margin-bottom: map-get($spacers, 3);
  @extend .h3;
}

hr {
  margin-top: $hr-margin-y;
  margin-bottom: $hr-margin-y;
  border: 0;
  border-top: $hr-border-width solid $hr-border-color;
}
.badge-circle-1 {
  background-color: $white;
}

#content {
  padding-bottom: map-get($spacers, 6);
}
#content-wrapper {
  margin-top: 0;
  &.has-fluid {
    padding-top: map-get($spacers, 3);
  }
  &:not(.has-fluid) {
    padding-top: map-get($spacers, 5);
    @include media-breakpoint-up(lg) {
      padding-top: map-get($spacers, 7);
    }
  }
}
#search {
  margin-right: map-get($spacers, 3);
  display: none;
  @include media-breakpoint-up(lg) {
    display: block;
  }
}
#footer {
  background-color: $footer-bg-color;
  color: $footer-color;
}
/* header logo position - start */
.toggler-logo-wrapper {
  float: left;
  @include media-breakpoint-down(md) {
    position: absolute;
    .logo-wrapper {
      float: left;
    }
    .burger-menu-wrapper {
      float: left;
      padding-top: 1rem;
    }
  }
}
/* header logo position - end */

.navbar .container {
  display: block;
}

/* image loading indicator */

.lazyloading {
  color: transparent;
  width: auto;
  height: auto;
  max-width: 40px;
  max-height: 40px;
}

.lazyload {
  opacity: 0 !important;
}